Skip to main content
GET
/
v1
/
omni
/
calls
/
{call_id}
/
recording
Download an Omni call recording
curl --request GET \
  --url https://api.pyai.com/v1/omni/calls/{call_id}/recording \
  --header 'Authorization: Bearer <token>'
{
  "object": "omni.call.recording",
  "call_id": "<string>",
  "url": "<string>",
  "expires_at": 123,
  "expires_in": 123
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer pyai_live_... (or pyai_test_...).

Path Parameters

call_id
string
required

Query Parameters

response
enum<string>

Set to url to return the signed URL as JSON instead of a 302 redirect.

Available options:
url

Response

The signed URL as JSON (?response=url), or the audio bytes streamed inline when signing is not configured.

object
string
Example:

"omni.call.recording"

call_id
string
url
string

Short-lived signed URL to the recording audio.

expires_at
integer

Unix-ms expiry of the signed URL.

expires_in
integer

Seconds until the URL expires.